USN-3250-2: Linux kernel (Trusty HWE) vulnerability

29 March 2017

The system could be made to crash or run programs as an administrator.

Releases

Packages

Details

USN-3250-1 fixed a vulnerability in the Linux kernel for Ubuntu 14.04
LTS. This update provides the corresponding updates for the Linux
Hardware Enablement (HWE) kernel from Ubuntu 14.04 LTS for Ubuntu
12.04 LTS.

It was discovered that the xfrm framework for transforming packets in the
Linux kernel did not properly validate data received from user space. A
local attacker could use this to cause a denial of service (system crash)
or execute arbitrary code with administrative privileges.

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 12.04

After a standard system update you need to reboot your computer to make
all the necessary changes.

ATTENTION: Due to an unavoidable ABI change the kernel updates have
been given a new version number, which requires you to recompile and
reinstall all third party kernel modules you might have installed.
Unless you manually uninstalled the standard kernel metapackages
(e.g. linux-generic, linux-generic-lts-RELEASE, linux-virtual,
linux-powerpc), a standard system upgrade will automatically perform
this as well.

References

Related notices

  • USN-3248-1: linux, linux-image-powerpc64-smp, linux-image-3.2.0-125-virtual, linux-image-generic, linux-ti-omap4, linux-image-3.2.0-125-generic, linux-image-3.2.0-125-powerpc-smp, linux-image-highbank, linux-image-generic-pae, linux-image-3.2.0-125-powerpc64-smp, linux-image-3.2.0-125-highbank, linux-image-virtual, linux-image-omap4, linux-image-omap, linux-image-3.2.0-1503-omap4, linux-image-powerpc-smp, linux-image-3.2.0-125-omap, linux-image-3.2.0-125-generic-pae
  • USN-3249-1: linux-image-4.4.0-71-powerpc-smp, linux-image-4.4.0-71-generic-lpae, linux-image-lowlatency, linux-image-snapdragon, linux-image-powerpc-smp, linux-image-4.4.0-1009-gke, linux, linux-image-aws, linux-raspi2, linux-image-4.4.0-71-powerpc64-smp, linux-image-4.4.0-71-generic, linux-image-4.4.0-1012-aws, linux-aws, linux-image-4.4.0-71-powerpc-e500mc, linux-image-gke, linux-image-powerpc64-smp, linux-image-raspi2, linux-image-generic, linux-gke, linux-image-4.4.0-71-lowlatency, linux-image-4.4.0-1054-snapdragon, linux-image-powerpc-e500mc, linux-snapdragon, linux-image-4.4.0-1051-raspi2, linux-image-generic-lpae
  • USN-3249-2: linux-image-4.4.0-71-lowlatency, linux-image-powerpc-smp-lts-xenial, linux-image-4.4.0-71-powerpc64-smp, linux-image-4.4.0-71-powerpc-smp, linux-image-powerpc-e500mc-lts-xenial, linux-image-4.4.0-71-generic-lpae, linux-image-generic-lts-xenial, linux-image-4.4.0-71-generic, linux-image-generic-lpae-lts-xenial, linux-lts-xenial, linux-image-lowlatency-lts-xenial, linux-image-4.4.0-71-powerpc-e500mc, linux-image-powerpc64-smp-lts-xenial
  • USN-3250-1: linux, linux-image-powerpc64-smp, linux-image-3.13.0-115-generic, linux-image-generic, linux-image-3.13.0-115-powerpc-e500mc, linux-image-powerpc-e500mc, linux-image-3.13.0-115-powerpc-smp, linux-image-lowlatency, linux-image-powerpc-smp, linux-image-generic-lpae, linux-image-3.13.0-115-generic-lpae, linux-image-3.13.0-115-powerpc-e500, linux-image-3.13.0-115-powerpc64-smp, linux-image-powerpc-e500, linux-image-3.13.0-115-lowlatency
  • USN-3251-1: linux, linux-image-4.8.0-1032-raspi2, linux-image-4.8.0-45-generic-lpae, linux-image-generic, linux-raspi2, linux-image-4.8.0-45-generic, linux-image-4.8.0-45-powerpc-smp, linux-image-powerpc-e500mc, linux-image-lowlatency, linux-image-raspi2, linux-image-powerpc-smp, linux-image-generic-lpae, linux-image-4.8.0-45-lowlatency, linux-image-4.8.0-45-powerpc-e500mc
  • USN-3251-2: linux-image-4.8.0-45-generic-lpae, linux-hwe, linux-image-4.8.0-45-generic, linux-image-generic-lpae-hwe-16.04, linux-image-lowlatency-hwe-16.04, linux-image-generic-hwe-16.04, linux-image-4.8.0-45-lowlatency